PDA

View Full Version : A2C. Files In Alice 3.0


David B
12-14-2010, 10:09 PM
How about considering making Alice 2.0 and 3.0 files compatible? I think it would help increase the number of users of 3.0 once 3.0 is no longer beta. It is an especially good idea for those who use 2.0 because if you decide to go 3.0 later, you can't use old 2.0 programs in 3.0.

Dennis Cosgrove
12-16-2010, 12:48 AM
it's a fair request, but we are not going to be able to convert worlds from alice2 to alice3.

it is significantly different with alice3's classes and instances (as opposed to just instances), not to mention the new "respecting scope" that it really wouldn't work.

David B
12-16-2010, 04:14 PM
it's a fair request, but we are not going to be able to convert worlds from alice2 to alice3.

it is significantly different with alice3's classes and instances (as opposed to just instances), not to mention the new "respecting scope" that it really wouldn't work.

How about after creating the regular Alice 3.0, you try creating an Alice 3.0 that has new features that will work on Alice 2.0 files, ommiting those that you know won't work? Can you do that?

meeatpizza
04-20-2011, 11:12 PM
I still say Alice should use the same base of Alice 2.2 or at lest have events

David B
04-22-2011, 08:45 PM
I still say Alice should use the same base of Alice 2.2 or at lest have events

I agree, and Alice 3 does have events.

Mortgage FL
08-24-2011, 01:02 AM
Of course it's have events and work well. why do we need old 2.0 programs in 3.0?

David B
08-24-2011, 01:15 PM
Of course it's have events and work well. why do we need old 2.0 programs in 3.0?

Compatibility. It would be nice to use the latest and greatest Alice to work on old programs.